SUMMARY = "Provides the FPGA bitstream for White Rabbit Network Interface Card on SPEC"

LICENSE = "GPL-2.0"
LIC_FILES_CHKSUM = "file://${COREBASE}/meta/files/common-licenses/GPL-2.0;md5=801f80980d171dd6425610833a22dbe6"

PR = "r1"
PV = "0.1"

# Patch the top Manifest.py to adapt the old WR-NIC repo to the new HDLMake format.
SRC_URI = "git://ohwr.org/white-rabbit/wr-nic.git \
           file://top-manifest.patch"
SRCREV = "3bf04881479303ae41ce3fd2f4df90cd22ea8991"

S = "${WORKDIR}/git/syn/specdio"

FILES_${PN} += "/lib/firmware/fmc"

# Update and init Git submodules to clone some dependent HDL libraries
do_fetch_extra(){
    git submodule update --init
}
addtask fetch_extra after do_unpack before do_patch

# Use HDLMake to analyze the project and generate the Makefile
do_configure() {
    hdlmake
}

# Deploy the bitstream into the appropriated target folder
do_install() {
    install -d ${D}/lib/firmware/fmc
    install -m 0755 ${S}/wr_nic_dio_top.bin ${D}/lib/firmware/fmc/wr_nic_dio.bin
}

